Last Comment Bug 728926 - Intermittent failure in browser_dbg_script-switching.js | The correct script was loaded initially. | The first script is displayed.
: Intermittent failure in browser_dbg_script-switching.js | The correct script ...
Status: RESOLVED FIXED
[fixed-in-fx-team]
: intermittent-failure
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: Firefox 14
Assigned To: Mihai Sucan [:msucan]
:
Mentors:
Depends on:
Blocks: 438871 740751
  Show dependency treegraph
 
Reported: 2012-02-20 10:57 PST by Ed Morley [:emorley]
Modified: 2012-11-25 19:31 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected


Attachments
v1 (2.12 KB, patch)
2012-04-02 02:37 PDT, Victor Porof [:vporof][:vp]
past: review+
Details | Diff | Splinter Review
[in-fx-team] alternate fix proposal (6.13 KB, patch)
2012-04-05 06:09 PDT, Mihai Sucan [:msucan]
rcampbell: review+
Details | Diff | Splinter Review

Description Ed Morley [:emorley] 2012-02-20 10:57:11 PST
Rev3 WINNT 6.1 mozilla-inbound pgo test mochitest-other
https://hg.mozilla.org/integration/mozilla-inbound/rev/81c166bac966

https://tbpl.mozilla.org/?tree=Mozilla-Inbound&rev=81c166bac966
https://tbpl.mozilla.org/php/getParsedLog.php?id=9472387&tree=Mozilla-Inbound

Similar to bug 728830; marking dependent on that.

{
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
DBG-SERVER: Got: {
  "to": "conn17.context4",
  "type": "scripts"
}
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | Console message: [JavaScript Warning: "XUL box for span element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
DBG-SERVER: Got: {
  "from": "conn17.context4",
  "scripts": [
    {
      "url": "http://example.com/browser/browser/devtools/debugger/test/test-script-switching-01.js",
      "startLine": 5,
      "lineCount": 1
    },
    {
      "url": "http://example.com/browser/browser/devtools/debugger/test/test-script-switching-02.js",
      "startLine": 6,
      "lineCount": 1
    }
  ]
}
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | Should only be getting stack frames while paused.
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | Found the expected number of scripts.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
Stack trace:
    JS frame :: chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js :: <TOP_LEVEL> :: line 44

TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The second script is no longer displayed.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Stack trace:
    JS frame :: chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js :: testSwitchPaused :: line 66
    JS frame :: chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js :: onChange :: line 50
    JS frame :: chrome://browser/content/orion.js :: <TOP_LEVEL> :: line 157
    JS frame :: chrome://browser/content/orion.js :: <TOP_LEVEL> :: line 3691
    JS frame :: chrome://browser/content/orion.js :: <TOP_LEVEL> :: line 7596
    JS frame :: chrome://browser/content/orion.js :: <TOP_LEVEL> :: line 7425
    JS frame :: chrome://browser/content/orion.js :: <TOP_LEVEL> :: line 157
    JS frame :: chrome://browser/content/orion.js :: <TOP_LEVEL> :: line 1763
    JS frame :: chrome://browser/content/orion.js :: <TOP_LEVEL> :: line 1911
    JS frame :: chrome://browser/content/orion.js :: <TOP_LEVEL> :: line 7582
    JS frame :: chrome://browser/content/orion.js :: <TOP_LEVEL> :: line 4262
    JS frame :: resource:///modules/source-editor-orion.jsm :: SE_setText :: line 708
    JS frame :: chrome://browser/content/debugger.js :: SS_showScript :: line 548
    JS frame :: chrome://browser/content/debugger.js :: SS_onChange :: line 490

DBG-SERVER: Got: {
  "to": "conn17.context4",
  "type": "resume"
}
DBG-SERVER: Got: {
  "from": "conn17.context4",
  "type": "resumed"
}
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The second script is displayed again.
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is no longer displayed.
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | Console message: [JavaScript Warning: "XUL box for div element contained an inline #text child, forcing all its children to be wrapped in a block." {file: "chrome://browser/content/debugger.xul" line: 0}]
INFO TEST-END | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | finished in 509ms
}
Comment 2 Treeherder Robot 2012-02-24 14:35:10 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=9606784&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound opt test mochitest-other on 2012-02-24 13:08:17

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 3 Treeherder Robot 2012-02-26 11:05:34 PST
sgautherie
https://tbpl.mozilla.org/php/getParsedLog.php?id=9640436&tree=Try
Rev3 MacOSX Leopard 10.5.8 try opt test mochitest-other on 2012-02-26 10:31:39

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The second script is displayed again.
Comment 4 Treeherder Robot 2012-02-26 18:37:28 PST
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=9646444&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test mochitest-other on 2012-02-26 18:06:22

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 5 Treeherder Robot 2012-03-04 15:21:45 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=9812982&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-03-04 14:41:46

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 6 Treeherder Robot 2012-03-06 03:43:52 PST
darktrojan
https://tbpl.mozilla.org/php/getParsedLog.php?id=9844945&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitest-other on 2012-03-06 00:22:46

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 7 Treeherder Robot 2012-03-06 10:40:17 PST
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=9856292&tree=Try
Rev3 WINNT 6.1 try opt test mochitest-other on 2012-03-06 09:52:17

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
Comment 8 Treeherder Robot 2012-03-06 10:58:17 PST
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=9856807&tree=Try
Rev3 WINNT 6.1 try opt test mochitest-other on 2012-03-06 10:12:59

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 9 Treeherder Robot 2012-03-06 23:31:22 PST
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=9872209&tree=Try
Rev3 WINNT 5.1 try opt test mochitest-other on 2012-03-06 19:34:12

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
Comment 10 Treeherder Robot 2012-03-07 16:28:18 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=9886370&tree=Services-Central
Rev3 WINNT 6.1 services-central pgo test mochitest-other on 2012-03-07 09:57:04

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 11 Treeherder Robot 2012-03-07 23:58:15 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=9899338&tree=Firefox
Rev3 WINNT 5.1 mozilla-central pgo test mochitest-other on 2012-03-07 18:48:32

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 12 Treeherder Robot 2012-03-09 06:46:37 PST
mak77%bonardo.net
https://tbpl.mozilla.org/php/getParsedLog.php?id=9940713&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitest-other on 2012-03-09 05:59:19

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 13 Treeherder Robot 2012-03-10 06:05:30 PST
WG9s
https://tbpl.mozilla.org/php/getParsedLog.php?id=9968049&tree=Firefox
Rev3 WINNT 5.1 mozilla-central opt test mochitest-other on 2012-03-10 04:41:16

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 14 Treeherder Robot 2012-03-10 15:02:56 PST
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=9978668&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test mochitest-other on 2012-03-10 14:22:29

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The second script is displayed again.
Comment 15 Treeherder Robot 2012-03-12 04:07:23 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=9997236&tree=Fx-Team
Rev3 WINNT 5.1 fx-team opt test mochitest-other on 2012-03-12 03:27:24

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 16 Treeherder Robot 2012-03-12 04:07:39 PDT
past
https://tbpl.mozilla.org/php/getParsedLog.php?id=9997236&tree=Fx-Team
Rev3 WINNT 5.1 fx-team opt test mochitest-other on 2012-03-12 03:27:24

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 17 Treeherder Robot 2012-03-12 18:49:47 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10017365&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-03-12 17:50:46

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 18 Treeherder Robot 2012-03-12 20:17:15 PDT
darktrojan
https://tbpl.mozilla.org/php/getParsedLog.php?id=10020235&tree=Fx-Team
Rev3 WINNT 5.1 fx-team opt test mochitest-other on 2012-03-12 19:36:42

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 19 Treeherder Robot 2012-03-14 13:53:57 PDT
WG9s
https://tbpl.mozilla.org/php/getParsedLog.php?id=10069164&tree=Firefox
Rev3 WINNT 5.1 mozilla-central opt test mochitest-other on 2012-03-14 13:05:17

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 20 Treeherder Robot 2012-03-15 17:58:43 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10107682&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test mochitest-other on 2012-03-15 16:54:22

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The second script is displayed again.
Comment 21 Treeherder Robot 2012-03-16 02:02:10 PDT
jwatt
https://tbpl.mozilla.org/php/getParsedLog.php?id=10114667&tree=Try
Rev3 WINNT 5.1 try debug test mochitest-other on 2012-03-15 20:51:32

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
Comment 22 Treeherder Robot 2012-03-16 21:02:51 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10139369&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-other on 2012-03-16 17:10:38

12569 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/style/test/chrome/test_hover.html | Test timed out.
13034 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/xul/test/test_bug159346.xul | scrollbar didn't change curpos by mousemove after cursor is back on the scrollbar button #3
13931 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_bug437844.xul | :hover does not apply - got rgb(0, 255, 0), expected transparent
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 23 Treeherder Robot 2012-03-18 04:51:08 PDT
jwatt
https://tbpl.mozilla.org/php/getParsedLog.php?id=10161304&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitest-other on 2012-03-18 03:28:26

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The second script is displayed again.
Comment 24 Treeherder Robot 2012-03-19 15:58:22 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10192172&tree=Firefox
Rev3 WINNT 5.1 mozilla-central pgo test mochitest-other on 2012-03-19 15:20:03

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The first script is displayed.
Comment 25 Treeherder Robot 2012-03-19 15:59:31 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10192172&tree=Firefox
Rev3 WINNT 5.1 mozilla-central pgo test mochitest-other on 2012-03-19 15:20:03

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The first script is displayed.
Comment 26 Treeherder Robot 2012-03-22 08:37:40 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10274498&tree=Mozilla-Aurora
Rev3 WINNT 5.1 mozilla-aurora pgo test mochitest-other on 2012-03-22 04:23:31

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 27 Treeherder Robot 2012-03-26 11:05:37 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10374981&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-03-26 09:44:41

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 28 Treeherder Robot 2012-03-30 03:21:29 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10496877&tree=Fx-Team
Rev3 Fedora 12 fx-team debug test mochitest-other on 2012-03-30 02:11:31

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The second script is no longer displayed.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The second script is displayed again.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is no longer displayed.
Comment 29 Treeherder Robot 2012-03-31 17:26:45 PDT
khuey
https://tbpl.mozilla.org/php/getParsedLog.php?id=10538548&tree=Firefox
Rev3 WINNT 6.1 mozilla-central opt test mochitest-other on 2012-03-31 13:55:33

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 30 Treeherder Robot 2012-04-01 09:34:38 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10549799&tree=Fx-Team
Rev3 WINNT 5.1 fx-team pgo test mochitest-other on 2012-04-01 06:41:41

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 31 Victor Porof [:vporof][:vp] 2012-04-02 02:37:10 PDT
Created attachment 611404 [details] [diff] [review]
v1

I think this should fix things.
Comment 32 Victor Porof [:vporof][:vp] 2012-04-02 07:40:36 PDT
(In reply to Victor Porof from comment #31)
> Created attachment 611404 [details] [diff] [review]
> v1
> 
> I think this should fix things.

https://tbpl.mozilla.org/?tree=Try&rev=a629ba3ff59a
Comment 33 Panos Astithas [:past] 2012-04-02 19:12:04 PDT
(In reply to Victor Porof from comment #31)
> Created attachment 611404 [details] [diff] [review]
> v1
> 
> I think this should fix things.

I probably shouldn't be looking at this after a long day, but can you explain a bit the logic behind this patch? I can't make sense of it as it is. You add an extra flag to signal an empty script list, and in the comment you mention it's faster than checking the item count, but we didn't seem to make any check before, right? There was just a straight assignment to selectedItem as far as I can see.
Comment 34 Victor Porof [:vporof][:vp] 2012-04-03 00:50:10 PDT
(In reply to Panos Astithas [:past] from comment #33)
> (In reply to Victor Porof from comment #31)
> > Created attachment 611404 [details] [diff] [review]
> > v1
> > 
> > I think this should fix things.
> 
> I probably shouldn't be looking at this after a long day, but can you
> explain a bit the logic behind this patch? I can't make sense of it as it
> is. You add an extra flag to signal an empty script list, and in the comment
> you mention it's faster than checking the item count, but we didn't seem to
> make any check before, right? There was just a straight assignment to
> selectedItem as far as I can see.

Ok, so, here's what I think triggers the orange (and in bug 740751):
* the order in which scripts are added to the menulist is reliable, but the selected item (and thus editor text content) outcome at a particular point is not!
* this happens because each time we add an item in that menulist (in other words, each time we called addScript() in the debugger-view), we were changing this._scripts.selectedItem = script;
* thus, on each added script, the selected item was changed to the most recent added script, the onChange event was fired and the editor text contents were changed as well
* at the end of adding all the scripts in the menulist, we can't possibly be sure which is the selected item, because there's no guarantee the DOM has updated to the changes, and there's even less guarantee that the editor text contents were up to date (they would be, eventually, but not exactly at the certain time this test was relying on)
* most of the times, this was fast enough, and by the time we reached the debugger; call, the scripts were loaded and everything was ok. some times, however, this was not the case, and the menulist was still updating.
* this is exactly the same problem we experienced during the work week, where we saw the incorrect selected script when starting the debugger, and inherently the same issue causing loading a large number of scripts very slow
* the extra flag to signal an empty script list is not something that fixes this bug, but just a way of avoiding checking for itemCount (which may cause a reflow, i'm not sure)
* the straight assignment to selectedItem we were doing previously is exactly what was causing this orange: continuously update the menulist current selection and text contents with the most recently added item while loading scripts, causing uncontrollable DOM mutations, race conditions, spiraling out of control in another dimension.
Comment 35 Panos Astithas [:past] 2012-04-03 06:54:03 PDT
Comment on attachment 611404 [details] [diff] [review]
v1

Review of attachment 611404 [details] [diff] [review]:
-----------------------------------------------------------------

OK, it all makes sense now, thanks!
Comment 36 Rob Campbell [:rc] (:robcee) 2012-04-04 09:01:31 PDT
https://hg.mozilla.org/integration/fx-team/rev/b00af9fa37be
Comment 37 Treeherder Robot 2012-04-04 10:09:10 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10638856&tree=Fx-Team
Rev3 Fedora 12x64 fx-team opt test mochitest-other on 2012-04-04 09:25:40

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Found the expected editor mode. - Got text, expected html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The correct script was loaded initially.
Comment 38 Treeherder Robot 2012-04-04 10:37:47 PDT
robcee
https://tbpl.mozilla.org/php/getParsedLog.php?id=10639577&tree=Fx-Team
Rev3 Fedora 12 fx-team opt test mochitest-other on 2012-04-04 09:51:18

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Found the expected editor mode. - Got text, expected html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The correct script was loaded initially.
Comment 39 Treeherder Robot 2012-04-04 10:52:23 PDT
robcee
https://tbpl.mozilla.org/php/getParsedLog.php?id=10639962&tree=Fx-Team
Rev3 Fedora 12x64 fx-team debug test mochitest-other on 2012-04-04 09:47:54

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct after click. - Got -1, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Found the expected editor mode. - Got text, expected html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The correct script was loaded initially.
Comment 40 Rob Campbell [:rc] (:robcee) 2012-04-04 10:55:53 PDT
https://hg.mozilla.org/integration/fx-team/rev/811fcd591b18
Comment 41 Treeherder Robot 2012-04-04 11:22:57 PDT
dcamp
https://tbpl.mozilla.org/php/getParsedLog.php?id=10640567&tree=Fx-Team
Rev3 Fedora 12 fx-team opt test mochitest-other on 2012-04-04 10:32:41

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Found the expected editor mode. - Got text, expected html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The correct script was loaded initially.
Comment 42 Rob Campbell [:rc] (:robcee) 2012-04-04 11:51:14 PDT
(In reply to Victor Porof from comment #31)
> Created attachment 611404 [details] [diff] [review]
> v1
> 
> I think this should fix things.

nooooope!

https://tbpl.mozilla.org/?tree=Fx-Team&rev=b00af9fa37be
Comment 43 Treeherder Robot 2012-04-04 11:53:08 PDT
robcee
https://tbpl.mozilla.org/php/getParsedLog.php?id=10641393&tree=Fx-Team
Rev3 WINNT 6.1 fx-team opt test mochitest-other on 2012-04-04 10:56:45

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct after click. - Got -1, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Found the expected editor mode. - Got text, expected html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The correct script was loaded initially.
Comment 44 Treeherder Robot 2012-04-04 11:54:11 PDT
robcee
https://tbpl.mozilla.org/php/getParsedLog.php?id=10641299&tree=Fx-Team
Rev3 WINNT 5.1 fx-team opt test mochitest-other on 2012-04-04 10:56:44

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Found the expected editor mode. - Got text, expected html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The correct script was loaded initially.
Comment 45 Treeherder Robot 2012-04-04 12:32:06 PDT
robcee
https://tbpl.mozilla.org/php/getParsedLog.php?id=10642586&tree=Fx-Team
Rev3 Fedora 12 fx-team debug test mochitest-other on 2012-04-04 11:20:31

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Found the expected editor mode. - Got text, expected html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The correct script was loaded initially.
Comment 46 Treeherder Robot 2012-04-04 12:33:05 PDT
robcee
https://tbpl.mozilla.org/php/getParsedLog.php?id=10642418&tree=Fx-Team
Rev4 MacOSX Snow Leopard 10.6 fx-team debug test mochitest-other on 2012-04-04 11:19:38

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-05.js | editor debugger location is correct after click. - Got -1, expected 4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Found the expected editor mode. - Got text, expected html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The correct script was loaded initially.
Comment 47 Treeherder Robot 2012-04-04 12:34:38 PDT
robcee
https://tbpl.mozilla.org/php/getParsedLog.php?id=10642078&tree=Fx-Team
Rev3 WINNT 6.1 fx-team debug test mochitest-other on 2012-04-04 10:56:46

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Found the expected editor mode. - Got text, expected html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 403855 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 202 instances of AtomImpl with size 24 bytes each (4848 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 8 instances of DOMCSSDeclarationImpl with size 12 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 8 instances of DOMCSSStyleRule with size 24 bytes each (192 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DR_State with size 32 bytes
Comment 48 Treeherder Robot 2012-04-04 13:19:37 PDT
robcee
https://tbpl.mozilla.org/php/getParsedLog.php?id=10643691&tree=Fx-Team
Rev3 Fedora 12 fx-team debug test mochitest-other on 2012-04-04 12:06:06

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Found the expected editor mode. - Got text, expected html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The correct script was loaded initially.
Comment 49 Treeherder Robot 2012-04-04 15:16:32 PDT
robcee
https://tbpl.mozilla.org/php/getParsedLog.php?id=10644664&tree=Fx-Team
Rev3 MacOSX Leopard 10.5.8 fx-team opt test mochitest-other on 2012-04-04 13:12:48

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Found the expected editor mode. - Got text, expected html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The correct script was loaded initially.
Comment 50 Victor Porof [:vporof][:vp] 2012-04-05 01:45:26 PDT
(In reply to Rob Campbell [:rc] (:robcee) from comment #42)
> (In reply to Victor Porof from comment #31)
> > Created attachment 611404 [details] [diff] [review]
> > v1
> > 
> > I think this should fix things.
> 
> nooooope!
> 
> https://tbpl.mozilla.org/?tree=Fx-Team&rev=b00af9fa37be

I don't get it. Try was green.

(In reply to Victor Porof from comment #32)
> https://tbpl.mozilla.org/?tree=Try&rev=a629ba3ff59a
Comment 51 Mihai Sucan [:msucan] 2012-04-05 06:09:31 PDT
Created attachment 612518 [details] [diff] [review]
[in-fx-team] alternate fix proposal

Same approach as I have for Bug 728830.

Try push:
https://tbpl.mozilla.org/?tree=Try&rev=5fb80104b607
Comment 52 Mihai Sucan [:msucan] 2012-04-05 06:10:13 PDT
Forgot to mention: the patch I just submitted should also fix bug 740751.
Comment 53 Treeherder Robot 2012-04-05 09:26:47 PDT
jmaher%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10667989&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-04-05 08:48:37

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
Comment 54 Rob Campbell [:rc] (:robcee) 2012-04-05 09:55:30 PDT
Comment on attachment 612518 [details] [diff] [review]
[in-fx-team] alternate fix proposal

how could you forget to mention that this will also fix 740751?!?!

r++++++++++!!!!!∞
Comment 55 Treeherder Robot 2012-04-05 10:12:26 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=10644657&tree=Fx-Team
Rev4 MacOSX Snow Leopard 10.6 fx-team opt test mochitest-other on 2012-04-04 13:13:02

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The second script is no longer displayed.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | The first script is displayed.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_update-editor-mode.js | Found the expected editor mode. - Got html, expected js
Comment 56 Mihai Sucan [:msucan] 2012-04-05 11:07:06 PDT
Thank you Rob!

(this is now landable. green results on multiple try runs)
Comment 57 Mihai Sucan [:msucan] 2012-04-05 11:27:04 PDT
Comment on attachment 612518 [details] [diff] [review]
[in-fx-team] alternate fix proposal

Landed:
https://hg.mozilla.org/integration/fx-team/rev/5d654a428c97
Comment 58 Treeherder Robot 2012-04-06 11:03:45 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10704612&tree=Firefox
Rev3 WINNT 5.1 mozilla-central pgo test mochitest-other on 2012-04-06 10:14:53

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 59 Treeherder Robot 2012-04-07 15:48:13 PDT
Kwan
https://tbpl.mozilla.org/php/getParsedLog.php?id=10730695&tree=Try
Rev3 MacOSX Leopard 10.5.8 try opt test mochitest-other on 2012-04-07 12:01:06

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | editor debugger location is correct. - Got -1, expected 5
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 60 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-04-09 14:55:12 PDT
https://hg.mozilla.org/mozilla-central/rev/5d654a428c97
Comment 61 Phil Ringnalda (:philor, back in August) 2012-04-09 20:26:53 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10762345&tree=Mozilla-Aurora
Comment 62 Treeherder Robot 2012-04-16 23:17:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10962449&tree=Mozilla-Aurora
Rev3 WINNT 5.1 mozilla-aurora pgo test mochitest-other on 2012-04-16 21:43:10

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_615394-SSWindowState_events.js |  - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
Comment 63 Treeherder Robot 2012-06-18 12:48:28 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12762762&tree=Mozilla-Beta
Rev3 WINNT 5.1 mozilla-beta pgo test mochitest-other on 2012-06-18 12:09:52
slave: talos-r3-xp-032

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The correct script was loaded initially.

Note You need to log in before you can comment on or make changes to this bug.